Bug 193302 - Import current Resource-Timing WPTs
Summary: Import current Resource-Timing WPTs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-01-09 14:55 PST by cvazac
Modified: 2019-01-14 16:02 PST (History)
5 users (show)

See Also:


Attachments
Patch (164.11 KB, patch)
2019-01-09 14:56 PST, cvazac
no flags Details | Formatted Diff | Diff
Patch (151.32 KB, patch)
2019-01-09 14:59 PST, cvazac
no flags Details | Formatted Diff | Diff
Patch (151.32 KB, patch)
2019-01-09 15:03 PST, cvazac
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-sierra (2.62 MB, application/zip)
2019-01-09 16:03 PST, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-sierra-wk2 (3.34 MB, application/zip)
2019-01-09 16:27 PST, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-sierra (2.20 MB, application/zip)
2019-01-09 17:16 PST, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.46 MB, application/zip)
2019-01-09 19:09 PST, Build Bot
no flags Details
Patch (154.70 KB, patch)
2019-01-10 12:13 PST, cvazac
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.69 MB, application/zip)
2019-01-10 13:22 PST, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-sierra-wk2 (3.44 MB, application/zip)
2019-01-10 13:41 PST, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-sierra (2.03 MB, application/zip)
2019-01-10 14:06 PST, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.54 MB, application/zip)
2019-01-10 14:26 PST, Build Bot
no flags Details
Patch (162.35 KB, patch)
2019-01-11 11:53 PST, cvazac
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (3.24 MB, application/zip)
2019-01-11 12:57 PST, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.66 MB, application/zip)
2019-01-11 13:52 PST, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-highsierra (2.41 MB, application/zip)
2019-01-11 14:03 PST, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (3.35 MB, application/zip)
2019-01-11 15:31 PST, Build Bot
no flags Details
Patch (166.17 KB, patch)
2019-01-14 10:02 PST, cvazac
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-highsierra (2.47 MB, application/zip)
2019-01-14 10:50 PST, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-highsierra (2.02 MB, application/zip)
2019-01-14 11:38 PST, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.44 MB, application/zip)
2019-01-14 12:00 PST, Build Bot
no flags Details
Patch (166.26 KB, patch)
2019-01-14 12:31 PST, cvazac
no flags Details | Formatted Diff | Diff
Patch (166.34 KB, patch)
2019-01-14 14:08 PST, cvazac
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cvazac 2019-01-09 14:55:20 PST
Import current Resource-Timing WPTs
Comment 1 cvazac 2019-01-09 14:56:18 PST
Created attachment 358749 [details]
Patch
Comment 2 cvazac 2019-01-09 14:59:32 PST
Created attachment 358750 [details]
Patch
Comment 3 cvazac 2019-01-09 15:03:52 PST
Created attachment 358752 [details]
Patch
Comment 4 youenn fablet 2019-01-09 15:04:12 PST
View in context: https://bugs.webkit.org/attachment.cgi?id=358750&action=review

> LayoutTests/imported/w3c/web-platform-tests/resource-timing/document-domain-no-impact-loader.sub.html:14
> +window.open("//{{domains[www]}}:{{ports[http][1]}}/resource-timing/resources/document-domain-no-impact.sub.html");

We should update this test to use get-host-info.sub.js.
Might be better in a different patch or do that upstream and resync the tests here.

> LayoutTests/imported/w3c/web-platform-tests/resource-timing/no-entries-for-cross-origin-css-fetched.sub-expected.txt:2
> +Blocked access to external URL http://www1.localhost:8801/resource-timing/resources/nested.css

Ditto.
Comment 5 Build Bot 2019-01-09 16:03:21 PST
Comment on attachment 358752 [details]
Patch

Attachment 358752 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10689922

New failing tests:
imported/w3c/web-platform-tests/resource-timing/resource_dynamic_insertion.html
imported/w3c/web-platform-tests/resource-timing/resource_redirects.html
imported/w3c/web-platform-tests/resource-timing/test_resource_timing.https.html
imported/w3c/web-platform-tests/resource-timing/resource_script_types.html
imported/w3c/web-platform-tests/resource-timing/resource_memory_cached.sub.html
Comment 6 Build Bot 2019-01-09 16:03:23 PST
Created attachment 358757 [details]
Archive of layout-test-results from ews102 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 7 Build Bot 2019-01-09 16:27:22 PST
Comment on attachment 358752 [details]
Patch

Attachment 358752 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10690041

New failing tests:
imported/w3c/web-platform-tests/resource-timing/resource_dynamic_insertion.html
imported/w3c/web-platform-tests/resource-timing/resource_redirects.html
imported/w3c/web-platform-tests/resource-timing/resource_timing.worker.html
imported/w3c/web-platform-tests/resource-timing/resource_memory_cached.sub.html
imported/w3c/web-platform-tests/resource-timing/resource_script_types.html
Comment 8 Build Bot 2019-01-09 16:27:24 PST
Created attachment 358764 [details]
Archive of layout-test-results from ews104 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 9 Build Bot 2019-01-09 17:16:26 PST
Comment on attachment 358752 [details]
Patch

Attachment 358752 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/10690342

New failing tests:
imported/w3c/web-platform-tests/resource-timing/resource_dynamic_insertion.html
imported/w3c/web-platform-tests/resource-timing/resource_redirects.html
imported/w3c/web-platform-tests/resource-timing/test_resource_timing.https.html
imported/w3c/web-platform-tests/resource-timing/resource_script_types.html
imported/w3c/web-platform-tests/resource-timing/resource_memory_cached.sub.html
Comment 10 Build Bot 2019-01-09 17:16:28 PST
Created attachment 358768 [details]
Archive of layout-test-results from ews115 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 11 Build Bot 2019-01-09 19:09:21 PST
Comment on attachment 358752 [details]
Patch

Attachment 358752 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10691562

New failing tests:
imported/w3c/web-platform-tests/resource-timing/resource_timing.worker.html
imported/w3c/web-platform-tests/resource-timing/resource_dynamic_insertion.html
imported/w3c/web-platform-tests/resource-timing/resource_redirects.html
imported/w3c/web-platform-tests/resource-timing/resource_script_types.html
imported/w3c/web-platform-tests/resource-timing/buffer-full-add-after-full-event.html
imported/w3c/web-platform-tests/resource-timing/resource_memory_cached.sub.html
Comment 12 Build Bot 2019-01-09 19:09:23 PST
Created attachment 358773 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 13 cvazac 2019-01-10 12:13:35 PST
Created attachment 358817 [details]
Patch
Comment 14 youenn fablet 2019-01-10 13:01:48 PST
If tests do not provide the same results in iOS-sim, mac-wk2 and Mac-wk1, you might need to provide different -expected.txt files for them.

Typically, LayoutTests/imported/w3c/.../-expected.txt will contain mac-wk2 expected file.
LayoutTests/platform/ios/imported/w3c/web-platform-tests/ will be for iOS.
LayoutTests/platform/ios/imported/w3c/web-platform-tests/ will be for iOS.
LayoutTests/platform/mac-wk1/imported/w3c/web-platform-tests/ will be for Mac-wk1.

The script Tools/Scripts/update-test-expectations-from-bugzilla might help there.
Comment 15 Build Bot 2019-01-10 13:22:14 PST
Comment on attachment 358817 [details]
Patch

Attachment 358817 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10700759

New failing tests:
imported/w3c/web-platform-tests/resource-timing/resource_redirects.html
imported/w3c/web-platform-tests/resource-timing/test_resource_timing.https.html
imported/w3c/web-platform-tests/resource-timing/resource_memory_cached.sub.html
Comment 16 Build Bot 2019-01-10 13:22:16 PST
Created attachment 358824 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 17 Build Bot 2019-01-10 13:41:00 PST
Comment on attachment 358817 [details]
Patch

Attachment 358817 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10700885

New failing tests:
imported/w3c/web-platform-tests/resource-timing/resource_redirects.html
imported/w3c/web-platform-tests/resource-timing/resource_memory_cached.sub.html
Comment 18 Build Bot 2019-01-10 13:41:02 PST
Created attachment 358826 [details]
Archive of layout-test-results from ews107 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 19 Build Bot 2019-01-10 14:06:50 PST
Comment on attachment 358817 [details]
Patch

Attachment 358817 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/10700878

New failing tests:
imported/w3c/web-platform-tests/resource-timing/resource_redirects.html
imported/w3c/web-platform-tests/resource-timing/test_resource_timing.https.html
imported/w3c/web-platform-tests/resource-timing/resource_memory_cached.sub.html
Comment 20 Build Bot 2019-01-10 14:06:52 PST
Created attachment 358832 [details]
Archive of layout-test-results from ews115 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 21 Build Bot 2019-01-10 14:26:05 PST
Comment on attachment 358817 [details]
Patch

Attachment 358817 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10700988

New failing tests:
imported/w3c/web-platform-tests/resource-timing/buffer-full-add-after-full-event.html
imported/w3c/web-platform-tests/resource-timing/resource_redirects.html
imported/w3c/web-platform-tests/resource-timing/resource_memory_cached.sub.html
Comment 22 Build Bot 2019-01-10 14:26:07 PST
Created attachment 358836 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 23 cvazac 2019-01-11 11:53:30 PST
Created attachment 358923 [details]
Patch
Comment 24 Build Bot 2019-01-11 12:57:38 PST
Comment on attachment 358923 [details]
Patch

Attachment 358923 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10716321

New failing tests:
imported/w3c/web-platform-tests/resource-timing/resource_redirects.html
imported/w3c/web-platform-tests/resource-timing/test_resource_timing.https.html
imported/w3c/web-platform-tests/resource-timing/no-entries-for-cross-origin-css-fetched.sub.html
imported/w3c/web-platform-tests/resource-timing/resource_connection_reuse.https.html
imported/w3c/web-platform-tests/resource-timing/resource_memory_cached.sub.html
Comment 25 Build Bot 2019-01-11 12:57:40 PST
Created attachment 358931 [details]
Archive of layout-test-results from ews101 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 26 Build Bot 2019-01-11 13:52:13 PST
Comment on attachment 358923 [details]
Patch

Attachment 358923 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10716580

New failing tests:
imported/w3c/web-platform-tests/resource-timing/buffer-full-add-after-full-event.html
imported/w3c/web-platform-tests/resource-timing/no-entries-for-cross-origin-css-fetched.sub.html
imported/w3c/web-platform-tests/resource-timing/resource_redirects.html
imported/w3c/web-platform-tests/resource-timing/resource_connection_reuse.https.html
imported/w3c/web-platform-tests/resource-timing/resource_memory_cached.sub.html
Comment 27 Build Bot 2019-01-11 13:52:15 PST
Created attachment 358938 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 28 Build Bot 2019-01-11 14:03:19 PST
Comment on attachment 358923 [details]
Patch

Attachment 358923 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/10716700

New failing tests:
imported/w3c/web-platform-tests/resource-timing/resource_redirects.html
imported/w3c/web-platform-tests/resource-timing/test_resource_timing.https.html
imported/w3c/web-platform-tests/resource-timing/no-entries-for-cross-origin-css-fetched.sub.html
imported/w3c/web-platform-tests/resource-timing/resource_connection_reuse.https.html
imported/w3c/web-platform-tests/resource-timing/resource_memory_cached.sub.html
Comment 29 Build Bot 2019-01-11 14:03:21 PST
Created attachment 358944 [details]
Archive of layout-test-results from ews113 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 30 Build Bot 2019-01-11 15:31:18 PST
Comment on attachment 358923 [details]
Patch

Attachment 358923 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/10718616

New failing tests:
imported/w3c/web-platform-tests/resource-timing/resource_redirects.html
imported/w3c/web-platform-tests/resource-timing/no-entries-for-cross-origin-css-fetched.sub.html
imported/w3c/web-platform-tests/resource-timing/resource_memory_cached.sub.html
imported/w3c/web-platform-tests/resource-timing/resource_connection_reuse.https.html
Comment 31 Build Bot 2019-01-11 15:31:20 PST
Created attachment 358956 [details]
Archive of layout-test-results from ews106 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 32 cvazac 2019-01-14 10:02:32 PST
Created attachment 359049 [details]
Patch
Comment 33 Build Bot 2019-01-14 10:50:47 PST
Comment on attachment 359049 [details]
Patch

Attachment 359049 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10746307

New failing tests:
imported/w3c/web-platform-tests/resource-timing/test_resource_timing.https.html
Comment 34 Build Bot 2019-01-14 10:50:49 PST
Created attachment 359052 [details]
Archive of layout-test-results from ews100 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 35 Build Bot 2019-01-14 11:38:01 PST
Comment on attachment 359049 [details]
Patch

Attachment 359049 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/10746531

New failing tests:
imported/w3c/web-platform-tests/resource-timing/test_resource_timing.https.html
Comment 36 Build Bot 2019-01-14 11:38:03 PST
Created attachment 359059 [details]
Archive of layout-test-results from ews116 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 37 Build Bot 2019-01-14 12:00:34 PST
Comment on attachment 359049 [details]
Patch

Attachment 359049 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10746714

New failing tests:
imported/w3c/web-platform-tests/resource-timing/buffer-full-add-after-full-event.html
Comment 38 Build Bot 2019-01-14 12:00:36 PST
Created attachment 359063 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 39 cvazac 2019-01-14 12:31:33 PST
Created attachment 359067 [details]
Patch
Comment 40 cvazac 2019-01-14 14:08:34 PST
Created attachment 359076 [details]
Patch
Comment 41 youenn fablet 2019-01-14 14:56:44 PST
Comment on attachment 359076 [details]
Patch

Will cq+ it once it is all green
Comment 42 WebKit Commit Bot 2019-01-14 16:00:10 PST
Comment on attachment 359076 [details]
Patch

Clearing flags on attachment: 359076

Committed r239959: <https://trac.webkit.org/changeset/239959>
Comment 43 WebKit Commit Bot 2019-01-14 16:00:13 PST
All reviewed patches have been landed.  Closing bug.
Comment 44 Radar WebKit Bug Importer 2019-01-14 16:02:01 PST
<rdar://problem/47269179>